StandardOptimisationProvider
Keywords: uk.ac.bbk.dcs.automed.qproc.optimise.StandardOptimisationProvider class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.optimise
Class StandardOptimisationProvider

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.optimise.StandardOptimisationProvider

All Implemented Interfaces:
  QueryOptimisationProvider

    public class StandardOptimisationProvider

extends java.lang.Object
implements QueryOptimisationProvider

This class coordinates the application of the logical optimisations.

Author:
  Lucas Zamboulis

Field Summary
`protected java.util.logging.Logger` | `logger`

Constructor Summary
`StandardOptimisationProvider()`
`StandardOptimisationProvider(Schema source, Schema[] tgts)`

Method Summary
`void` | `finalize()`
`java.lang.String` | `getName()` Return a unique name of a provider.
`void` | `optimise(ASG query, QueryProcessorConfiguration qpc)` Optimise an IQL query based on a given configuration

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected java.util.logging.Logger logger

Constructor Detail

### StandardOptimisationProvider

    public StandardOptimisationProvider()

### StandardOptimisationProvider

    public StandardOptimisationProvider(Schema source,
                                        Schema[] tgts)

Method Detail

### optimise

    public void optimise(ASG query,
                         QueryProcessorConfiguration qpc)

  Description copied from interface: `QueryOptimisationProvider`
  Optimise an IQL query based on a given configuration

  Specified by:
    `optimise` in interface `QueryOptimisationProvider`
  Parameters:
    `query` - an `ASG` object of an IQL query

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Description copied from interface: `QueryOptimisationProvider`
  Return a unique name of a provider. This name is used as a key in a `Map` of provider objects

  Specified by:
    `getName` in interface `QueryOptimisationProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD